{$A+,B-,D+,E+,F-,G-,I+,L+,N+,O-,R-,S+,V+,X-}
{$M 65336,0,655360}
{program graphics;}


unit odingame;


interface

uses graph,dos,crt,drivers;

const
  Start = 25;
  Finsh = 175;
  step = 2;
var
  GraphDriver: Integer;                    { Stores graphics driver number }
  GraphMode: Integer;                { Stores graphics mode for the driver }
  ErrorCode: Integer;                          { Reports an error condition }
  X1,Y1,X2,Y2: Integer;
  Gd,Gm: Integer;
  P: Pointer;
  Size: Word;
  Driver,Mode: Integer;
  Radius: Integer;

  Name,game,play,tm,slash,bataprintballs,batbprintballs : string[25];
  Settles,plane,playing,balls,space,too,maiden,printx : string[20];
  Scoreboard,batter,bowler,teama,teamb,bata,batb : string[50];
  Bowlertobatter,catcher,overcomplete,pfow : string[150];
  persononebat : Array [1..11] of string[50];
  persononebatave : Array [1..11] of real;
  persononebowl : Array [1..8] of string[50];
  persononebowlave : Array [1..8] of real;
  persononebowlstyle : Array [1..8] of string[10];
  persononefield : Array [1..10] of string[50];
  persontwobat : Array [1..11] of string[50];
  persontwobatave : Array [1..11] of real;
  persontwobowl : Array [1..8] of string[50];
  persontwobowlave : Array [1..8] of real;
  persontwobowlstyle : Array [1..8] of string[10];
  persontwofield : Array [1..10] of string[50];
  persontwowk,persononewk : String[50];
  bat : Array [1..11] of string[50];
  Batnotout : Array [1..11] of string[50];
  Batout : Array [1..11] of string[50];
  Out : Array [1..11] of integer;
  Fow : Array [1..10] of integer;
  printfow : Array [1..10] of string[10];
  fw : Array [1..10] of string[20];
  Batwayout : Array [1..11] of string[50];
  Bathowout : Array [1..11] of string[50];
  Batwhoout : Array [1..11] of string[50];
  p1winstoss,p2winstoss,bowlb,wk,bowlerstyle : string[50];
  batave : Array [1..11] of real;
  Battotscore : Array [1..11] of integer;
  bowl : Array [1..8] of string[50];
  bowlstyle : Array[1..8] of string[20];
  field : Array [1..10] of string[50];
  bowlave : Array [1..8] of real;
  bowlovers : Array [1..8] of integer;
  bowlmaidens : Array [1..8] of integer;
  bowlpovers : Array [1..8] of string[20];
  bowlpmaidens : Array [1..8] of string[20];
  batprintscore : Array [1..11] of string[30];
  batprintballs : Array [1..11] of string[20];
  battotballs : Array [1..11] of integer;
  teamainnoneprintscore,winner,battingstyle,quicktime,time : string[30];
  teamainnonetotscore,teamainnonetotouts,j : integer;
  teamainnoneprintouts,timephours,timepminutes,batfirstpouts : string[15];
  teamainnonescore,tmainnoneprintfinscore : string[40];
  totoversstring,printtotovers,bataprintscore,batbprintscore : string[30];
{  totovers,totalovers,tovers,timehours,timeminutes : integer;}
  totovers,itarget : integer;
  Chancer,chanced,overs,batterave,bowlerave,bataave,batbave : Real;
  Chance,a,b,c,d,e,f,y,z,x,batascore,batbscore,tmainnonefinscore : integer;
  bowlwickets : Array[1..8] of integer;
  bowlruns : Array[1..8] of integer;
  bowlpwickets : Array[1..8] of string[20];
  bowlpruns : Array[1..8] of string[20];
  McGrath,Lawry,howishe : Longint;
  Ch : Char;
  Playerone,playertwo,personone,persontwo,target : string[20];
  batfirstpscore,batsecondpscore : string[20];
  batfirstprscore,batsecondprscore,runraterequired : string[20];
  batfirstscore,batsecondscore,bataballs,batbballs,rndrated2,rndrate : integer;
  Persononeteam,persontwoteam,winteam,batfirstteam : string[25];
  teamaabbrev,teambabbrev,batfirstabbrev,batsecondabbrev : string[5];
  persononeteamabbrev,persontwoteamabbrev,wicketsleft,oversleft : string[5];
  teambsinnings,teamaendinnings,tmainnoneprintendscore : string[60];
  tmainnoneendscore,rndratereqd2,rndratereq,rndrated1,rndratereqd1 : integer;
  teambbowlingfigs,inningsend,drunrate2,drunratereq1 : string[50];
  innend,p2innone,p1innone,innsover,currentrunratereq : string [30];
  p2innonescore,p1innonescore,iwicketsleft,ioversleft,fowtally : integer;
  irunrate,drunrate1,currentrunrate,irunratereq,drunratereq2 : String[30];
  runsrate,runratereq : real;

procedure nextinn;
procedure runrate;
procedure runsgot;
procedure innover;
procedure batterout;
procedure howzat;
procedure noruns;
procedure onerun;
procedure tworuns;
procedure threeruns;
procedure fourruns;
procedure sixruns;
procedure ball;
procedure batstyle;
procedure choosebowler;
procedure bowlerone;
procedure bowlertwo;
procedure bowlerthree;
procedure bowlerfour;
procedure bowlerfive;
procedure bowlersix;
procedure bowlerseven;
procedure bowlereight;
procedure bowlerb;
procedure newbowler;
procedure odbatinnone;
procedure battingteam;
procedure p1batp2bowl;
procedure p2batp1bowl;
procedure scorecardbowl;
procedure p2newinn;
procedure p1newinn;
procedure settler;

implementation



procedure endofgame;
begin
clrscr;
if (p2innonescore > p1innonescore) then
begin
if persontwoteam = batfirstteam then
begin
x := (p2innonescore - p1innonescore);
Str(x,printx);
if x = 1 then
Winner := (persononeteam + ' wins by ' + printx + ' run')
else
Winner := (persontwoteam + ' wins by ' + printx + ' runs');
end
else
begin
x := (10 - teamainnonetotouts);
Str(x,printx);
if x = 1 then
Winner := (persononeteam + ' wins by ' + printx + ' wicket')
else
Winner := (persontwoteam + ' wins by ' + printx + ' wickets');
end;
end
else
if (p2innonescore < p1innonescore) then
begin
if persononeteam = batfirstteam then
begin
x := (p1innonescore - p2innonescore);
Str(x,printx);
if x = 1 then
Winner := (persononeteam + ' wins by ' + printx + ' run')
else
Winner := (persononeteam + ' wins by ' + printx + ' runs');
end
else
begin
x := (10 - teamainnonetotouts);
Str(x,printx);
if x = 1 then
Winner := (persononeteam + ' wins by ' + printx + ' wicket')
else
Winner := (persononeteam + ' wins by ' + printx + ' wickets');
end;
end
else
begin
Winner := ('Match Tied!');
end;
SetTextStyle(1,0,4);
SetColor(0);
OutTextXY(30,30, winner );
readln;
clrscr;
Playing := 'No';
Scoreboard := 'No';
Playing := 'No';
Settles := 'N';
TM := 'No';
end;

procedure nextinn;
begin
clrscr;
if (batfirstteam = persontwoteam) then
 begin
  if (teama = batfirstteam) then
   begin
   batfirstscore := tmainnonefinscore;
   p2innonescore := batfirstscore;
   p2innone := 'yes';
   end
  else
  if (teama <> batfirstteam) then
   begin
   batsecondscore := tmainnonefinscore;
   p1innonescore := batsecondscore;
   p1innone := 'yes';
  end;
 end
else
if (batfirstteam = persononeteam) then
 begin
  if (teama = batfirstteam) then
   begin
   batfirstscore := tmainnonefinscore;
   p1innonescore := batfirstscore;
   p1innone := 'yes';
   end
  else
  if (teama <> batfirstteam) then
   begin
   batsecondscore := tmainnonefinscore;
   p2innonescore := batsecondscore;
   p2innone := 'yes';
   end;
 end;
if (p2innone = 'yes') and (p1innone = 'yes') then
endofgame
else
begin
SetTextStyle(1,0,2);
SetColor(0);
teambsinnings := (teamb + '''s innings');
OutTextXY(50,100, teambsinnings );
readln;
clrscr;
Playing := 'No';
Scoreboard := 'No';
Playing := 'No';
end;
end;

procedure runsgot;
begin
winteam := teama;
y := 6;
inningsend := 'Yes';
if teama = persontwoteam then
p2innone := 'yes'
else
p1innone := 'yes';
Playing := 'No';
Scoreboard := 'Yes';
end;

procedure scorecardbowl;
begin
clrscr;
SetTextStyle(1,0,3);
SetColor(14);
for z := 1 to 8 do
begin
Str(bowlwickets[z],bowlpwickets[z]);
Str(bowlovers[z],bowlpovers[z]);
Str(bowlmaidens[z],bowlpmaidens[z]);
Str(bowlruns[z],bowlpruns[z]);
end;
If teamb = 'Australia' then
SetColor(10)
else
If (teamb = 'SriLanka') or (teamb = 'Zimbabwe') then
SetColor(14)
else
if (teamb = 'England') or (teamb = 'Pakistan') then
SetColor(1)
else
if teamb = 'South Africa' then
SetColor(4)
else
if teamb = 'India' then
SetColor(9)
else
if (teamb = 'West Indies') or (teamb = 'New Zealand') then
SetColor(8)
else
SetColor(15);
teambbowlingfigs := (teamb + ' Bowling Figures ');
OutTextXY(170,30, teambbowlingfigs );
SetTextStyle(1,0,1);
for z := 1 to 10 do
begin
if fw[z] <> 'no' then
begin
Str(fow[z],printfow[z]);
printfow[z] := (printfow[z] + space + space);
end
else
printfow[z] := (space);
end;
OutTextXY(20,360,' FOW : ');
pfow := (printfow[1] + printfow[2] + printfow[3] + printfow[4] + printfow[5] +
printfow[6] + printfow[7] + printfow[8] + printfow[9] + printfow[10]);
OutTextXY(90,360, pfow );
if teamb = 'Australia' then
SetColor(14)
else
If teamb = 'SriLanka' then
SetColor(1)
else
if teamb = 'England' then
SetColor(9)
else
if (teamb = 'South Africa') or (teamb = 'Pakistan') then
SetColor(10)
else
if teamb = 'India' then
SetColor(6)
else
if teamb = 'West Indies' then
SetColor(5)
else
if teamb = 'New Zealand' then
SetColor(15)
else
if teamb = 'Zimbabwe' then
SetColor(4)
else
SetColor(0);
OutTextXY(250,70,'O');
OutTextXY(330,70,'M' );
OutTextXY(410,70,'Wkts' );
OutTextXY(490,70,'R');
OutTextXY(30,110, bowl[1] );
OutTextXY(250,110, bowlpovers[1] );
OutTextXY(330,110, bowlpmaidens[1] );
OutTextXY(410,110, bowlpwickets[1] );
OutTextXY(490,110, bowlpruns[1] );
OutTextXY(30,140, bowl[2] );
OutTextXY(250,140, bowlpovers[2] );
OutTextXY(330,140, bowlpmaidens[2] );
OutTextXY(410,140, bowlpwickets[2] );
OutTextXY(490,140, bowlpruns[2] );
OutTextXY(30,170, bowl[3] );
OutTextXY(250,170, bowlpovers[3] );
OutTextXY(330,170, bowlpmaidens[3] );
OutTextXY(410,170, bowlpwickets[3] );
OutTextXY(490,170, bowlpruns[3] );
OutTextXY(30,200, bowl[4] );
OutTextXY(250,200, bowlpovers[4] );
OutTextXY(330,200, bowlpmaidens[4] );
OutTextXY(410,200, bowlpwickets[4] );
OutTextXY(490,200, bowlpruns[4] );
OutTextXY(30,230, bowl[5] );
OutTextXY(250,230, bowlpovers[5] );
OutTextXY(330,230, bowlpmaidens[5] );
OutTextXY(410,230, bowlpwickets[5] );
OutTextXY(490,230, bowlpruns[5] );
OutTextXY(30,260, bowl[6] );
OutTextXY(250,260, bowlpovers[6] );
OutTextXY(330,260, bowlpmaidens[6] );
OutTextXY(410,260, bowlpwickets[6] );
OutTextXY(490,260, bowlpruns[6] );
OutTextXY(30,290, bowl[7] );
OutTextXY(250,290, bowlpovers[7] );
OutTextXY(330,290, bowlpmaidens[7] );
OutTextXY(410,290, bowlpwickets[7] );
OutTextXY(490,290, bowlpruns[7] );
OutTextXY(30,320, bowl[8] );
OutTextXY(250,320, bowlpovers[8] );
OutTextXY(330,320, bowlpmaidens[8] );
OutTextXY(410,320, bowlpwickets[8] );
OutTextXY(490,320, bowlpruns[8] );
readln;
end;

procedure runrate;
begin
clrscr;
SetColor(0);
SetTextStyle(1,0,2);
Str(batascore,bataprintscore);
Str(batbscore,batbprintscore);
OutTextXY(50,50, bata );
OutTextXY(300,50, bataprintscore );
OutTextXY(50,80, batb );
OutTextXY(300,80, batbprintscore );
OutTextXY(220,120, batfirstprscore );
if batfirstteam = teama then
begin
runsrate := (teamainnonetotscore / totovers);
runsrate := (runsrate - 0.4999);
rndrate := Round(runsrate);
runsrate := (runsrate + 0.4999);
runsrate := (runsrate - rndrate);
runsrate := (runsrate * 10);
runsrate := (runsrate - 0.4999);
rndrated1 := Round(runsrate);
runsrate := (runsrate + 0.4999);
runsrate := (runsrate - rndrated1);
runsrate := (runsrate * 10);
runsrate := (runsrate - 0.4999);
rndrated2 := Round(runsrate);
Str(rndrate,irunrate);
Str(rndrated1,drunrate1);
Str(rndrated2,drunrate2);
Currentrunrate := (irunrate + '.' + drunrate1 + drunrate2);
OutTextXY(50,170,'Run Rate : ');
if totovers >= 40 then
begin
OutTextXY(50,200,'Balls Remaining : ');
ioversleft := ((50 - totovers) * 6);
end
else
begin
OuttextXY(50,200,'Overs Remaining : ');
ioversleft := (50 - totovers);
end;
OutTextXY(50,230,'Wickets in hand : ');
OutTextXY(300,170, currentrunrate );
Str(ioversleft,oversleft);
OutTextXY(300,200, oversleft );
iwicketsleft := (10 - teamainnonetotouts);
Str(iwicketsleft,wicketsleft);
OutTextXY(300,230, wicketsleft );
end
else
begin
runsrate := (teamainnonetotscore / totovers);
runsrate := (runsrate - 0.4999);
rndrate := Round(runsrate);
runsrate := (runsrate + 0.4999);
runsrate := (runsrate - rndrate);
runsrate := (runsrate * 10);
runsrate := (runsrate - 0.4999);
rndrated1 := Round(runsrate);
runsrate := (runsrate + 0.4999);
runsrate := (runsrate - rndrated1);
runsrate := (runsrate * 10);
runsrate := (runsrate - 0.4999);
rndrated2 := Round(runsrate);
Str(rndrate,irunrate);
Str(rndrated1,drunrate1);
Str(rndrated2,drunrate2);
Currentrunrate := (irunrate + '.' + drunrate1 + drunrate2);

runratereq := ((batsecondscore - teamainnonetotscore) / (50 - totovers));
runratereq := (runratereq - 0.4999);
rndratereq := Round(runratereq);
runratereq := (runratereq + 0.4999);
runratereq := (runratereq - rndratereq);
runratereq := (runratereq * 10);
runratereq := (runratereq - 0.4999);
rndratereqd1 := Round(runratereq);
runratereq := (runratereq + 0.4999);
runratereq := (runratereq - rndratereqd1);
runratereq := (runratereq * 10);
runratereq := (Runratereq - 0.4999);
rndratereqd2 := Round(runratereq);
Str(rndratereq,irunratereq);
Str(rndratereqd1,drunratereq1);
Str(rndratereqd2,drunratereq2);
runraterequired := (irunratereq + '.' + drunratereq1 + drunratereq2);
itarget := (batsecondscore - teamainnonetotscore);
Str(itarget,target);
OutTextXY(300,170, target );
OutTextXY(50,170,'Runs Remaining : ');
if totovers >= 40 then
begin
OutTextXY(50,200,'Balls Remaining : ');
ioversleft := ((50 - totovers) * 6);
end
else
begin
OuttextXY(50,200,'Overs Remaining : ');
ioversleft := (50 - totovers);
end;
OutTextXY(50,230,'Current Run Rate : ');
OutTextXY(50,260,'Run Rate Required : ');
OutTextXY(50,290,'Wickets in hand : ');
OutTextXY(300,230, currentrunrate );
OutTextXY(300,260, runraterequired );
Str(ioversleft,oversleft);
OutTextXY(300,200, oversleft );
iwicketsleft := (10 - teamainnonetotouts);
Str(iwicketsleft,wicketsleft);
OutTextXY(300,290, wicketsleft );
end;
readln;
clrscr;
end;

procedure endofinnone;
begin
y := 6;
Playing := 'No';
Scoreboard := 'Yes';
Inningsend := 'Yes';
end;

procedure innover;
begin
innsover := 'yes';
inningsend := 'Yes';
endofinnone;
end;

procedure batterout;
begin
SetTextStyle(1,0,2);
if Batter = bata then
begin
if (bat[1] = bata) and (bat[2] = batb) then
begin
batout[1] := bata;
bata := bat[3];
bataave := batave[3];
end
else
if (bat[1] = bata) and (bat[3] = batb) then
begin
batout[1] := bata;
bata := bat[4];
bataave := batave[4];
end
else
if (bat[1] = bata) and (bat[4] = batb) then
begin
batout[1] := bata;
bata := bat[5];
bataave := batave[5];
end
else
if (bat[1] = bata) and (bat[5] = batb) then
begin
batout[1] := bata;
bata := bat[6];
bataave := batave[6];
end
else
if (bat[1] = bata) and (bat[6] = batb) then
begin
batout[1] := bata;
bata := bat[7];
bataave := batave[7];
end
else
if (bat[1] = bata) and (bat[7] = batb) then
begin
batout[1] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[1] = bata) and (bat[8] = batb) then
begin
batout[1] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[1] = bata) and (bat[9] = batb) then
begin
batout[1] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[1] = bata) and (bat[10] = batb) then
begin
batout[1] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[1] = bata) and (bat[11] = batb) then
begin
batout[1] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[3] = bata) and (bat[2] = batb) then
begin
batout[3] := bata;
bata := bat[4];
bataave := batave[4];
end
else
if (bat[3] = bata) and (bat[4] = batb) then
begin
batout[3] := bata;
bata := bat[5];
bataave := batave[5];
end
else
if (bat[4] = bata) and (bat[3] = batb) then
begin
batout[4] := bata;
bata := bat[5];
bataave := batave[5];
end
else
if (bat[3] = bata) and (bat[5] = batb) then
begin
batout[3] := bata;
bata := bat[6];
bataave := batave[6];
end
else
if (bat[5] = bata) and (bat[3] = batb) then
begin
batout[5] := bata;
bata := bat[6];
bataave := batave[6];
end
else
if (bat[3] = bata) and (bat[6] = batb) then
begin
batout[3] := bata;
bata := bat[7];
bataave := batave[7];
end
else
if (bat[6] = bata) and (bat[3] = batb) then
begin
batout[6] := bata;
bata := bat[7];
bataave := batave[7];
end
else
if (bat[3] = bata) and (bat[7] = batb) then
begin
batout[3] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[7] = bata) and (bat[3] = batb) then
begin
batout[7] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[3] = bata) and (bat[8] = batb) then
begin
batout[3] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[8] = bata) and (bat[3] = batb) then
begin
batout[8] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[3] = bata) and (bat[9] = batb) then
begin
batout[3] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[9] = bata) and (bat[3] = batb) then
begin
batout[9] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[3] = bata) and (bat[10] = batb) then
begin
batout[3] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[10] = bata) and (bat[3] = batb) then
begin
batout[10] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[3] = bata) and (bat[11] = batb) then
begin
batout[3] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = bata) and (bat[3] = batb) then
begin
batout[11] := bata;
batnotout[3] := bat[3];
endofinnone;
end
else
if (bat[4] = bata) and (bat[2] = batb) then
begin
batout[4] := bata;
bata := bat[5];
bataave := batave[5];
end
else
if (bat[4] = bata) and (bat[5] = batb) then
begin
batout[4] := bata;
bata := bat[6];
bataave := batave[6];
end
else
if (bat[5] = bata) and (bat[4] = batb) then
begin
batout[5] := bata;
bata := bat[6];
bataave := batave[6];
end
else
if (bat[4] = bata) and (bat[6] = batb) then
begin
batout[4] := bata;
bata := bat[7];
bataave := batave[7];
end
else
if (bat[6] = bata) and (bat[4] = batb) then
begin
batout[6] := bata;
bata := bat[7];
bataave := batave[7];
end
else
if (bat[4] = bata) and (bat[7] = batb) then
begin
batout[4] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[7] = bata) and (bat[4] = batb) then
begin
batout[7] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[4] = bata) and (bat[8] = batb) then
begin
batout[4] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[8] = bata) and (bat[4] = batb) then
begin
batout[8] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[4] = bata) and (bat[9] = batb) then
begin
batout[4] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[9] = bata) and (bat[4] = batb) then
begin
batout[9] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[4] = bata) and (bat[10] = batb) then
begin
batout[4] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[10] = bata) and (bat[4] = batb) then
begin
batout[10] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[4] = bata) and (bat[11] = batb) then
begin
batout[4] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = bata) and (bat[4] = batb) then
begin
batout[11] := bata;
batnotout[4] := bat[4];
endofinnone;
end
else
if (bat[5] = bata) and (bat[2] = batb) then
begin
batout[5] := bata;
bata := bat[6];
bataave := batave[6];
end
else
if (bat[5] = bata) and (bat[6] = batb) then
begin
batout[5] := bata;
bata := bat[7];
bataave := batave[7];
end
else
if (bat[6] = bata) and (bat[5] = batb) then
begin
batout[6] := bata;
bata := bat[7];
bataave := batave[7];
end
else
if (bat[5] = bata) and (bat[7] = batb) then
begin
batout[5] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[7] = bata) and (bat[5] = batb) then
begin
batout[7] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[5] = bata) and (bat[8] = batb) then
begin
batout[5] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[8] = bata) and (bat[5] = batb) then
begin
batout[8] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[5] = bata) and (bat[9] = batb) then
begin
batout[5] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[9] = bata) and (bat[5] = batb) then
begin
batout[9] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[5] = bata) and (bat[10] = batb) then
begin
batout[5] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[10] = bata) and (bat[5] = batb) then
begin
batout[10] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[5] = bata) and (bat[11] = batb) then
begin
batout[5] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = bata) and (bat[5] = batb) then
begin
batout[11] := bata;
batnotout[5] := bat[5];
endofinnone;
end
else
if (bat[6] = bata) and (bat[2] = batb) then
begin
batout[6] := bata;
bata := bat[7];
bataave := batave[7];
end
else
if (bat[6] = bata) and (bat[7] = batb) then
begin
batout[6] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[7] = bata) and (bat[6] = batb) then
begin
batout[7] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[6] = bata) and (bat[8] = batb) then
begin
batout[6] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[8] = bata) and (bat[6] = batb) then
begin
batout[8] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[6] = bata) and (bat[9] = batb) then
begin
batout[6] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[9] = bata) and (bat[6] = batb) then
begin
batout[9] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[6] = bata) and (bat[10] = batb) then
begin
batout[6] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[10] = bata) and (bat[6] = batb) then
begin
batout[10] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[6] = bata) and (bat[11] = batb) then
begin
batout[6] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = bata) and (bat[6] = batb) then
begin
batout[11] := bata;
batnotout[6] := bat[6];
endofinnone;
end
else
if (bat[7] = bata) and (bat[2] = batb) then
begin
batout[7] := bata;
bata := bat[8];
bataave := batave[8];
end
else
if (bat[7] = bata) and (bat[8] = batb) then
begin
batout[7] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[8] = bata) and (bat[7] = batb) then
begin
batout[8] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[7] = bata) and (bat[9] = batb) then
begin
batout[7] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[9] = bata) and (bat[7] = batb) then
begin
batout[9] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[7] = bata) and (bat[10] = batb) then
begin
batout[7] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[10] = bata) and (bat[7] = batb) then
begin
batout[10] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[7] = bata) and (bat[11] = batb) then
begin
batout[7] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = bata) and (bat[7] = batb) then
begin
batout[11] := bata;
batnotout[7] := bat[7];
endofinnone;
end
else
if (bat[8] = bata) and (bat[2] = batb) then
begin
batout[8] := bata;
bata := bat[9];
bataave := batave[9];
end
else
if (bat[8] = bata) and (bat[9] = batb) then
begin
batout[8] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[9] = bata) and (bat[8] = batb) then
begin
batout[9] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[8] = bata) and (bat[10] = batb) then
begin
batout[8] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[10] = bata) and (bat[8] = batb) then
begin
batout[10] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[8] = bata) and (bat[11] = batb) then
begin
batout[8] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = bata) and (bat[8] = batb) then
begin
batout[11] := bata;
batnotout[8] := bat[8];
endofinnone;
end
else
if (bat[9] = bata) and (bat[2] = batb) then
begin
batout[9] := bata;
bata := bat[10];
bataave := batave[10];
end
else
if (bat[9] = bata) and (bat[10] = batb) then
begin
batout[9] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[10] = bata) and (bat[9] = batb) then
begin
batout[10] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[9] = bata) and (bat[11] = batb) then
begin
batout[9] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = bata) and (bat[9] = batb) then
begin
batout[11] := bata;
batnotout[9] := bat[9];
endofinnone;
end
else
if (bat[10] = bata) and (bat[2] = batb) then
begin
batout[10] := bata;
bata := bat[11];
bataave := batave[11];
end
else
if (bat[10] = bata) and (bat[11] = batb) then
begin
batout[10] := bata;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = bata) and (bat[10] = batb) then
begin
batout[11] := bata;
batnotout[10] := bat[10];
endofinnone;
end
else
if (bat[11] = bata) and (bat[2] = batb) then
begin
batout[11] := bata;
batnotout[2] := bat[2];
endofinnone;
end;
Batter := bata;
end;
if Batter = batb then
begin
if (bat[1] = bata) and (bat[2] = batb) then
begin
batout[2] := batb;
batb := bat[3];
batbave := batave[3];
end
else
if (bat[2] = batb) and (bat[3] = bata) then
begin
batout[2] := batb;
batb := bat[4];
batbave := batave[4];
end
else
if (bat[2] = batb) and (bat[4] = bata) then
begin
batout[2] := batb;
batb := bat[5];
batbave := batave[5];
end
else
if (bat[2] = batb) and (bat[5] = bata) then
begin
batout[2] := batb;
batb := bat[6];
batbave := batave[6];
end
else
if (bat[2] = batb) and (bat[6] = bata) then
begin
batout[2] := batb;
batb := bat[7];
batbave := batave[7];
end
else
if (bat[2] = batb) and (bat[7] = bata) then
begin
batout[2] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[2] = batb) and (bat[8] = bata) then
begin
batout[2] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[2] = batb) and (bat[9] = bata) then
begin
batout[2] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[2] = batb) and (bat[10] = bata) then
begin
batout[2] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[2] = batb) and (bat[11] = bata) then
begin
batout[2] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[3] = batb) and (bat[1] = bata) then
begin
batout[3] := batb;
batb := bat[4];
batbave := batave[4];
end
else
if (bat[3] = batb) and (bat[4] = bata) then
begin
batout[3] := batb;
batb := bat[5];
batbave := batave[5];
end
else
if (bat[4] = batb) and (bat[3] = bata) then
begin
batout[4] := batb;
batb := bat[5];
batbave := batave[5];
end
else
if (bat[3] = batb) and (bat[5] = bata) then
begin
batout[3] := batb;
batb := bat[6];
batbave := batave[6];
end
else
if (bat[5] = batb) and (bat[3] = bata) then
begin
batout[5] := batb;
batb := bat[6];
batbave := batave[6];
end
else
if (bat[3] = batb) and (bat[6] = bata) then
begin
batout[3] := batb;
batb := bat[7];
batbave := batave[7];
end
else
if (bat[6] = batb) and (bat[3] = bata) then
begin
batout[6] := batb;
batb := bat[7];
batbave := batave[7];
end
else
if (bat[3] = batb) and (bat[7] = bata) then
begin
batout[3] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[7] = batb) and (bat[3] = bata) then
begin
batout[7] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[3] = batb) and (bat[8] = bata) then
begin
batout[3] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[8] = batb) and (bat[3] = bata) then
begin
batout[8] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[3] = batb) and (bat[9] = bata) then
begin
batout[3] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[9] = batb) and (bat[3] = bata) then
begin
batout[9] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[3] = batb) and (bat[10] = bata) then
begin
batout[3] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[10] = batb) and (bat[3] = bata) then
begin
batout[10] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[3] = batb) and (bat[11] = bata) then
begin
batout[3] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = batb) and (bat[3] = bata) then
begin
batout[11] := batb;
batnotout[3] := bat[3];
endofinnone;
end
else
if (bat[4] = batb) and (bat[1] = bata) then
begin
batout[4] := batb;
batb := bat[5];
batbave := batave[5];
end
else
if (bat[4] = batb) and (bat[5] = bata) then
begin
batout[4] := batb;
batb := bat[6];
batbave := batave[6];
end
else
if (bat[5] = batb) and (bat[4] = bata) then
begin
batout[5] := batb;
batb := bat[6];
batbave := batave[6];
end
else
if (bat[4] = batb) and (bat[6] = bata) then
begin
batout[4] := batb;
batb := bat[7];
batbave := batave[7];
end
else
if (bat[6] = batb) and (bat[4] = bata) then
begin
batout[6] := batb;
batb := bat[7];
batbave := batave[7];
end
else
if (bat[4] = batb) and (bat[7] = bata) then
begin
batout[4] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[7] = batb) and (bat[4] = bata) then
begin
batout[7] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[4] = batb) and (bat[8] = bata) then
begin
batout[4] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[8] = batb) and (bat[4] = bata) then
begin
batout[8] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[4] = batb) and (bat[9] = bata) then
begin
batout[4] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[9] = batb) and (bat[4] = bata) then
begin
batout[9] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[4] = batb) and (bat[10] = bata) then
begin
batout[4] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[10] = batb) and (bat[4] = bata) then
begin
batout[10] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[4] = batb) and (bat[11] = batb) then
begin
batout[4] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = batb) and (bat[4] = bata) then
begin
batout[11] := batb;
batnotout[4] := bat[4];
endofinnone;
end
else
if (bat[5] = batb) and (bat[1] = bata) then
begin
batout[5] := batb;
batb := bat[6];
batbave := batave[6];
end
else
if (bat[5] = batb) and (bat[6] = bata) then
begin
batout[5] := batb;
batb := bat[7];
batbave := batave[7];
end
else
if (bat[6] = batb) and (bat[5] = bata) then
begin
batout[6] := batb;
batb := bat[7];
batbave := batave[7];
end
else
if (bat[5] = batb) and (bat[7] = bata) then
begin
batout[5] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[7] = batb) and (bat[5] = bata) then
begin
batout[7] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[5] = batb) and (bat[8] = bata) then
begin
batout[5] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[8] = batb) and (bat[5] = bata) then
begin
batout[8] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[5] = batb) and (bat[9] = bata) then
begin
batout[5] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[9] = batb) and (bat[5] = bata) then
begin
batout[9] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[5] = batb) and (bat[10] = bata) then
begin
batout[5] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[10] = batb) and (bat[5] = bata) then
begin
batout[10] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[5] = batb) and (bat[11] = bata) then
begin
batout[5] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = batb) and (bat[5] = bata) then
begin
batout[11] := batb;
batnotout[5] := bat[5];
endofinnone;
end
else
if (bat[6] = batb) and (bat[1] = bata) then
begin
batout[6] := batb;
batb := bat[7];
batbave := batave[7];
end
else
if (bat[6] = batb) and (bat[7] = bata) then
begin
batout[6] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[7] = batb) and (bat[6] = bata) then
begin
batout[7] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[6] = batb) and (bat[8] = bata) then
begin
batout[6] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[8] = batb) and (bat[6] = bata) then
begin
batout[8] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[6] = batb) and (bat[9] = bata) then
begin
batout[6] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[9] = batb) and (bat[6] = bata) then
begin
batout[9] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[6] = batb) and (bat[10] = bata) then
begin
batout[6] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[10] = batb) and (bat[6] = bata) then
begin
batout[10] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[6] = batb) and (bat[11] = bata) then
begin
batout[6] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = batb) and (bat[6] = bata) then
begin
batout[11] := batb;
batnotout[6] := bat[6];
endofinnone;
end
else
if (bat[7] = batb) and (bat[1] = bata) then
begin
batout[7] := batb;
batb := bat[8];
batbave := batave[8];
end
else
if (bat[7] = batb) and (bat[8] = bata) then
begin
batout[7] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[8] = batb) and (bat[7] = bata) then
begin
batout[8] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[7] = batb) and (bat[9] = bata) then
begin
batout[7] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[9] = batb) and (bat[7] = bata) then
begin
batout[9] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[7] = batb) and (bat[10] = bata) then
begin
batout[7] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[10] = batb) and (bat[7] = bata) then
begin
batout[10] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[7] = batb) and (bat[11] = bata) then
begin
batout[7] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = batb) and (bat[7] = bata) then
begin
batout[11] := batb;
batnotout[7] := bat[7];
endofinnone;
end
else
if (bat[8] = batb) and (bat[1] = bata) then
begin
batout[8] := batb;
batb := bat[9];
batbave := batave[9];
end
else
if (bat[8] = batb) and (bat[9] = bata) then
begin
batout[8] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[9] = batb) and (bat[8] = bata) then
begin
batout[9] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[8] = batb) and (bat[10] = bata) then
begin
batout[8] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[10] = batb) and (bat[8] = bata) then
begin
batout[10] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[8] = batb) and (bat[11] = bata) then
begin
batout[8] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = batb) and (bat[8] = bata) then
begin
batout[11] := batb;
batnotout[8] := bat[8];
endofinnone;
end
else
if (bat[9] = batb) and (bat[1] = bata) then
begin
batout[9] := batb;
batb := bat[10];
batbave := batave[10];
end
else
if (bat[9] = batb) and (bat[10] = bata) then
begin
batout[9] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[10] = batb) and (bat[9] = bata) then
begin
batout[10] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[9] = batb) and (bat[11] = bata) then
begin
batout[9] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = batb) and (bat[9] = bata) then
begin
batout[11] := batb;
batnotout[9] := bat[9];
endofinnone;
end
else
if (bat[10] = batb) and (bat[1] = bata) then
begin
batout[10] := batb;
batb := bat[11];
batbave := batave[11];
end
else
if (bat[10] = batb) and (bat[11] = bata) then
begin
batout[10] := batb;
batnotout[11] := bat[11];
endofinnone;
end
else
if (bat[11] = batb) and (bat[10] = bata) then
begin
batout[11] := batb;
batnotout[10] := bat[10];
endofinnone;
end
else
if (bat[11] = batb) and (bat[1] = bata) then
begin
batout[11] := batb;
batnotout[1] := bat[1];
endofinnone;
end;
Batter := batb;
end;
SetColor(7);
for z:= 70 to 190 do
Line(z,280,z,360);
SetTextStyle(1,0,6);
OutTextXY(70,340,' HOWZAT!!! ');
SetTextStyle(1,0,2);
for z := 1 to 11 do
begin
if batout[z] = bat[z] then
Out[z] := 1;
end;
teamainnonetotouts := (out[1] + out[2] + out[3] + out[4] + out[5] + out[6]
+ out[7] + out[8] + out[9] + out[10] + out[11]);
if inningsend = 'No' then
begin
SetColor(0);
OutTextXY(50,30,' New Batter is ');
OutTextXY(210,30, Batter );
readln;
SetColor(7);
OutTextXY(50,30,' New Batter is ');
OutTextXY(210,30, Batter );
end
else
end;

procedure howzat;
begin
SetColor(4);
SetTextStyle(1,0,6);
OutTextXY(70,340,' HOWZAT!!! ');
Sound(200);
Delay(500);
nosound;
delay(500);
Sound(200);
Delay(500);
nosound;
delay(500);
Sound(200);
Delay(500);
nosound;
delay(500);
Sound(200);
Delay(500);
nosound;
delay(500);
readln;
SetColor(4);
SetTextStyle(1,0,2);
 randomize;
            howishe := Random(100);
            begin
            if howishe <= 10 then
            begin
            if howishe <= 5 then
            begin
            SetColor(7);
           SetTextStyle(1,0,6);
           OutTextXY(70,340,' HOWZAT!!! ');
           SetTextStyle(1,0,2);
           SetColor(0);
           SetTextStyle(1,0,2);
           Line(130,280,70,280);
           Line(130,280,190,280);
           delay(500);
           Line(70,280,70,360);
           Line(190,280,190,360);
           delay(500);
           Line(70,360,130,360);
           Line(190,360,130,360);
           delay(500);
           Circle(110,320,Radius * 9);
           Circle(160,320,Radius * 9);
           delay(5000);
           setcolor(2);
           for Radius := 1 to 1 do
           Circle(160,320,Radius * 9);
           SetFillStyle(solidfill,green);
           Floodfill(160,320,2);
           readln;
           end;
           SetColor(1);
            if y = 1 then
           begin
          OutTextXY(130,70, Batter );
          OutTextXY(330,70,' Not Out ');
          end;
          if y = 2 then
          begin
          OutTextXY(130,100, Batter );
          OutTextXY(330,100,' Not Out ');
          end;
          if y = 3 then
          begin
          OutTextXY(130,130, Batter );
          OutTextXY(330,130,' Not Out ');
          end;
          if y = 4 then
          begin
          OutTextXY(130,160, Batter );
          OutTextXY(330,160,' Not out ');
          end;
          if y = 5 then
          begin
          OutTextXY(130,190, Batter );
          OutTextXY(330,190,' Not out ');
          end;
          if y = 6 then
          begin
          OutTextXY(130,220, Batter );
          OutTextXY(330,220,' Not out ');
          end;
           SetColor(7);
           for z:= 70 to 190 do
           Line(z,280,z,360);
           SetTextStyle(1,0,6);
           SetTextStyle(1,0,6);
           OutTextXY(70,340,' HOWZAT!!! ');
           SetTextStyle(1,0,2);
          end
        else
 begin
if Batter = Bata then
begin
for z := 1 to 11 do
begin
if Bata = bat[z] then
begin
battotscore[z] := batascore;
battotballs[z] := bataballs;
end;
end;
end
else
for z := 1 to 11 do
begin
if Batter = Batb then
begin
if Batb = bat[z] then
begin
battotscore[z] := batbscore;
battotballs[z] := batbballs;
end;
end;
end;
for z := 1 to 10 do
begin
if (fowtally + 1) = z then
begin
fw[z] := 'yes';
fow[z] := teamainnonetotscore;
end;
end;
fowtally := (fowtally + 1);
if batter = bata then
begin
batascore := 0;
bataballs := 0;
end
else
if batter = batb then
begin
batbscore := 0;
batbballs := 0;
end;
SetColor(4);
randomize;
McGrath := Random(100);
          if McGrath <= 6 then
          begin
          SetColor(7);
           SetTextStyle(1,0,6);
           OutTextXY(70,340,' HOWZAT!!! ');
           SetTextStyle(1,0,2);
           SetColor(0);
           SetTextStyle(1,0,2);
           Line(130,280,70,280);
           Line(130,280,190,280);
           delay(500);
           Line(70,280,70,360);
           Line(190,280,190,360);
           delay(500);
           Line(70,360,130,360);
           Line(190,360,130,360);
           delay(500);
           Circle(110,320,Radius * 9);
           Circle(160,320,Radius * 9);
           delay(5000);
           setcolor(4);
           for Radius := 1 to 1 do
           Circle(110,320,Radius * 9);
           SetFillStyle(solidfill,red);
           Floodfill(110,320,4);
           readln;
           SetColor(4);
          if y = 1 then
          begin
          OutTextXY(130,70, Batter );
          OutTextXY(330,70,' Run out ');
          end;
          if y = 2 then
          begin
          OutTextXY(130,100, Batter );
          OutTextXY(330,100,' Run out ');
          end;
          if y = 3 then
          begin
          OutTextXY(130,130, Batter );
          OutTextXY(330,130,' Run out ');
          end;
          if y = 4 then
          begin
          OutTextXY(130,160, Batter );
          OutTextXY(330,160,' Run out ');
          end;
          if y = 5 then
          begin
          OutTextXY(130,190, Batter );
          OutTextXY(330,190,' Run out ');
          end;
          if y = 6 then
          begin
          OutTextXY(130,220, Batter );
          OutTextXY(330,220,' Run out ');
          end;
          randomize;
            Lawry := Random(10);
            begin
            for x := 1 to 10 do
            begin
            if Lawry = x then
             catcher := field[x]
            end;
          end;
          for z := 1 to 11 do
          begin
          If Batter = bat[z] then
          begin
          bathowout[z] := 'Run Out';
          batwhoout[z] := '(' + catcher + ')';
          end;
          end;
          end
          else
          if (McGrath >= 7) and (McGrath <= 22) then
          begin
          if y = 1 then
          begin
          OutTextXY(130,70, Batter );
          OutTextXY(330,70,' LBW ');
          end;
          if y = 2 then
          begin
          OutTextXY(130,100, Batter );
          OutTextXY(330,100,' LBW ');
          end;
          if y = 3 then
          begin
          OutTextXY(130,130, Batter );
          OutTextXY(330,130,' LBW ');
          end;
          if y = 4 then
          begin
          OutTextXY(130,160, Batter );
          OutTextXY(330,160,' LBW ');
          end;
          if y = 5 then
          begin
          OutTextXY(130,190, Batter );
          OutTextXY(330,190,' LBW ');
          end;
          if y = 6 then
          begin
          OutTextXY(130,220, Batter );
          OutTextXY(330,220,' LBW ');
          end;
          for z := 1 to 11 do
          begin
          If Batter = bat[z] then
          begin
          bathowout[z] := 'LBW b';
          batwhoout[z] := bowler;
          end;
          end;
          end
          else
          If (McGrath >= 23) and (McGrath <= 46) then
          begin
          if y = 1 then
          begin
          OutTextXY(130,70, Batter );
          OutTextXY(330,70,' caught wk ');
          end;
          if y = 2 then
          begin
          OutTextXY(130,100, Batter );
          OutTextXY(330,100,' caught wk ');
          end;
          if y = 3 then
          begin
          OutTextXY(130,130, Batter );
          OutTextXY(330,130,' caught wk ');
          end;
          if y = 4 then
          begin
          OutTextXY(130,160, Batter );
          OutTextXY(330,160,' caught wk ');
          end;
          if y = 5 then
          begin
          OutTextXY(130,190, Batter );
          OutTextXY(330,190,' caught wk ');
          end;
          if y = 6 then
          begin
          OutTextXY(130,220, Batter );
          OutTextXY(330,220,' caught wk ');
          end;
          for z := 1 to 11 do
          begin
          If Batter = bat[z] then
          begin
          bathowout[z] := ('c ' + wk + ' b');
          batwhoout[z] := bowler;
          end;
          end;
          end
          else
          If (McGrath >= 47) and (McGrath <= 62) then
          begin
          if y = 1 then
          begin
          OutTextXY(130,70, Batter );
          OutTextXY(330,70,' Bowled ');
          end;
          if y = 2 then
          begin
          OutTextXY(130,100, Batter );
          OutTextXY(330,100,' Bowled ');
          end;
          if y = 3 then
          begin
          OutTextXY(130,130, Batter );
          OutTextXY(330,130,' Bowled ');
          end;
          if y = 4 then
          begin
          OutTextXY(130,160, Batter );
          OutTextXY(330,160,' Bowled ');
          end;
          if y = 5 then
          begin
          OutTextXY(130,190, Batter );
          OutTextXY(330,190,' Bowled ');
          end;
          if y = 6 then
          begin
          OutTextXY(130,220, Batter );
          OutTextXY(330,220,' Bowled ');
          end;
          for z := 1 to 11 do
          begin
          If Batter = bat[z] then
          begin
          bathowout[z] := 'bowled';
          batwhoout[z] := bowler;
          end;
          end;
          end
          else
          begin
          if y = 1 then
          begin
          OutTextXY(130,70, Batter );
          OutTextXY(330,70,' Caught ');
          end;
          if y = 2 then
          begin
          OutTextXY(130,100, Batter );
          OutTextXY(330,100,' Caught ');
          end;
          if y = 3 then
          begin
          OutTextXY(130,130, Batter );
          OutTextXY(330,130,' Caught ');
          end;
          if y = 4 then
          begin
          OutTextXY(130,160, Batter );
          OutTextXY(330,160,' Caught ');
          end;
          if y = 5 then
          begin
          OutTextXY(130,190, Batter );
          OutTextXY(330,190,' Caught ');
          end;
          if y = 6 then
          begin
          OutTextXY(130,220, Batter );
          OutTextXY(330,220,' Caught ');
          end;
          SetColor(2);
          SetTextStyle(1,0,2);
           randomize;
            Lawry := Random(10);
            begin
            for x := 1 to 10 do
            begin
            if Lawry = x then
             catcher := field[x]
            end;
          end;
          if catcher = bowler then
          begin
          for z := 1 to 11 do
          begin
           if batter = bat[z] then
           begin
           bathowout[z] := ('caught & bowled');
           batwhoout[z] := bowler;
           end;
           end;
          end
          else
          if catcher <> bowler then
          begin
          for z := 1 to 11 do
          begin
          if batter = bat[z] then
          begin
          if (catcher = '') and (bowler <> field[1]) then
          catcher := field[1];
          if (catcher = '') and (bowler = field[1]) then
          catcher := field[2];
          bathowout[z] := ('c ' + catcher + ' b');
          batwhoout[z] := bowler;
          end;
          end;
          end;
          end;
SetColor(7);
SetTextStyle(1,0,2);
bowlertobatter := bowler + too + batter;
OutTextXY(30,30, bowlertobatter );
SetColor(1);
SetColor(1);
if McGrath >= 7 then
begin
for z := 1 to 8 do
begin
if bowler = bowl[z] then
bowlwickets[z] := (bowlwickets[z] + 1)
end;
end;
batterout;
end;
end;
end;

procedure noruns;
begin
if y = 1 then
OutTextXY(130,70,' 0 ');
a := 0;
if y = 2 then
OutTextXY(130,100,' 0 ');
b := 0;
if y = 3 then
OutTextXY(130,130,' 0 ');
c := 0;
if y = 4 then
OutTextXY(130,160,' 0 ');
d := 0;
if y = 5 then
OutTextXY(130,190,' 0 ');
e := 0;
if y = 6 then
OutTextXY(130,220,' 0 ');
f := 0;
end;

procedure onerun;
begin
bowlertobatter := bowler + too + batter;
SetColor(7);
OutTextXY(30,30, bowlertobatter );
SetTextStyle(1,0,2);
SetColor(0);
if bata = batter then
begin
batascore := (1 + batascore);
batter := batb;
batterave := batbave;
end
else
if batb = batter then
begin
batbscore := (1 + batbscore);
batter := bata;
batterave := bataave;
end;
for z := 1 to 11 do
begin
if bowler = bowl[z] then
bowlruns[z] := (bowlruns[z] + 1)
end;
bowlertobatter := bowler + too + batter;
if y = 1 then
OutTextXY(130,70,' 1 ');
if y = 2 then
OutTextXY(130,100,' 1 ');
if y = 3 then
OutTextXY(130,130,' 1 ');
if y = 4 then
OutTextXY(130,160,' 1 ');
if y = 5 then
OutTextXY(130,190,' 1 ');
if y = 6 then
OutTextXY(130,220,' 1 ');
teamainnonetotscore := (Batascore + Batbscore);
for z := 1 to 11 do
begin
teamainnonetotscore := (Battotscore[z] + teamainnonetotscore);
end;
if (p2innone = 'yes') and (teamainnonetotscore > p2innonescore) then
runsgot
else
if (p1innone = 'yes') and (teamainnonetotscore > p1innonescore) then
runsgot;
end;

procedure tworuns;
begin
if bata = batter then
batascore := (2 + batascore)
else
if batb = batter then
batbscore := (2 + batbscore);
for z := 1 to 11 do
begin
if bowler = bowl[z] then
bowlruns[z] := (bowlruns[z] + 2)
end;
{SetTextStyle(1,0,2);}
if y = 1 then
OutTextXY(130,70,' 2 ');
if y = 2 then
OutTextXY(130,100,' 2 ');
if y = 3 then
OutTextXY(130,130,' 2 ');
if y = 4 then
OutTextXY(130,160,' 2 ');
if y = 5 then
OutTextXY(130,190,' 2 ');
if y = 6 then
OutTextXY(130,220,' 2 ');
teamainnonetotscore := (Batascore + Batbscore);
for z := 1 to 11 do
begin
teamainnonetotscore := (Battotscore[z] + teamainnonetotscore);
end;
if (p2innone = 'yes') and (teamainnonetotscore > p2innonescore) then
runsgot
else
if (p1innone = 'yes') and (teamainnonetotscore > p1innonescore) then
runsgot;
end;

procedure threeruns;
begin
SetColor(7);
bowlertobatter := bowler + too + batter;
OutTextXY(30,30, bowlertobatter );
SetColor(0);
if bata = batter then
begin
batascore := (3 + batascore);
batter := batb;
batterave := batbave;
end
else
if
batb = batter then
begin
batbscore := (3 + batbscore);
batter := bata;
batterave := bataave;
end;
for z := 1 to 11 do
begin
if bowler = bowl[z] then
bowlruns[z] := (bowlruns[z] + 3)
end;
bowlertobatter := bowler + too + batter;
if y = 1 then
OutTextXY(130,70,' 3 ');
if y = 2 then
OutTextXY(130,100,' 3 ');
if y = 3 then
OutTextXY(130,130,' 3 ');
if y = 4 then
OutTextXY(130,160,' 3 ');
if y = 5 then
OutTextXY(130,190,' 3 ');
if y = 6 then
OutTextXY(130,220,' 3 ');
teamainnonetotscore := (Batascore + Batbscore);
for z := 1 to 11 do
begin
teamainnonetotscore := (Battotscore[z] + teamainnonetotscore);
end;
if (p2innone = 'yes') and (teamainnonetotscore > p2innonescore) then
runsgot
else
if (p1innone = 'yes') and (teamainnonetotscore > p1innonescore) then
runsgot;
end;

procedure fourruns;
begin
if bata = batter then
batascore := (4 + batascore)
else
if batb = batter then
batbscore := (4 + batbscore);
for z := 1 to 11 do
begin
if bowler = bowl[z] then
bowlruns[z] := (bowlruns[z] + 4);
end;
if y = 1 then
OutTextXY(130,70,' 4 ');
if y = 2 then
OutTextXY(130,100,' 4 ');
if y = 3 then
OutTextXY(130,130,' 4 ');
if y = 4 then
OutTextXY(130,160,' 4 ');
if y = 5 then
OutTextXY(130,190,' 4 ');
if y = 6 then
OutTextXY(130,220,' 4 ');
teamainnonetotscore := (Batascore + Batbscore);
for z := 1 to 11 do
begin
teamainnonetotscore := (Battotscore[z] + teamainnonetotscore);
end;
if (p2innone = 'yes') and (teamainnonetotscore > p2innonescore) then
runsgot
else
if (p1innone = 'yes') and (teamainnonetotscore > p1innonescore) then
runsgot;
end;

procedure sixruns;
begin
if bata = batter then
batascore := (6 + batascore)
else
if batb = batter then
batbscore := (6 + batbscore);
for z := 1 to 11 do
begin
if bowler = bowl[z] then
bowlruns[z] := (bowlruns[z] + 6)
end;
if y = 1 then
OutTextXY(130,70,' 6 ');
if y = 2 then
OutTextXY(130,100,' 6 ');
if y = 3 then
OutTextXY(130,130,' 6 ');
if y = 4 then
OutTextXY(130,160,' 6 ');
if y = 5 then
OutTextXY(130,190,' 6 ');
if y = 6 then
OutTextXY(130,220,' 6 ');
teamainnonetotscore := (Batascore + Batbscore);
for z := 1 to 11 do
begin
teamainnonetotscore := (Battotscore[z] + teamainnonetotscore);
end;
if (p2innone = 'yes') and (teamainnonetotscore > p2innonescore) then
runsgot
else
if (p1innone = 'yes') and (teamainnonetotscore > p1innonescore) then
runsgot;
end;

procedure ball;
begin;
clrscr;
if bata = batter then
begin
batter := batb;
batterave := batbave;
end
else
if
batb = batter then
begin
batter := bata;
batterave := bataave;
end;
Maiden := 'y';
totovers := (totovers + 1);
too := ' to ';
Str(teamainnonetotouts,batfirstpouts);
Str(teamainnonetotscore,batfirstpscore);
if batfirstscore = 0 then
begin
batfirstprscore := (batfirstabbrev + ' : ' + batfirstpouts + '/' +
batfirstpscore);
batsecondprscore := (batsecondabbrev + ' :');
end
else
begin
batsecondscore := (batfirstscore + 1);
Str(batsecondscore,batsecondpscore);
batsecondprscore := ('Target : ' + batsecondpscore);
batfirstprscore := (batsecondabbrev + ' : ' + batfirstpouts + '/' +
batfirstpscore);
end;
SetTextStyle(1,0,1);
OutTextXY(430,320, batfirstprscore );
OutTextXY(430,360, batsecondprscore );
bowlertobatter := bowler + too + batter;
SetTextStyle(1,0,2);
SetColor(0);
OutTextXY(30,30, bowlertobatter );
OutTextXY(30,70,' BALL 1: ');
OutTextXY(30,100,' BALL 2: ');
OutTextXY(30,130,' BALL 3: ');
OutTextXY(30,160,' BALL 4: ');
OutTextXY(30,190,' BALL 5: ');
OutTextXY(30,220,' BALL 6: ');
readln;
SetColor(7);
OutTextXY(30,30, bowlertobatter );
{OutTextXY(240,30,' to ');
OutTextXY(280,30, batter );    }
For y := 1 to 6 Do
begin
Chancer := (Batterave * Bowlerave);
Chance := Round(Chancer);
SetTextStyle(1,0,2);
SetColor(0);
bowlertobatter := bowler + too + batter;
OutTextXY(30,30, bowlertobatter );
OutTextXY(30,70,' BALL 1: ');
OutTextXY(30,100,' BALL 2: ');
OutTextXY(30,130,' BALL 3: ');
OutTextXY(30,160,' BALL 4: ');
OutTextXY(30,190,' BALL 5: ');
OutTextXY(30,220,' BALL 6: ');
{OutTextXY(240,30,' to ');
OutTextXY(280,30, batter );    }
if bata = batter then
bataballs := (bataballs + 1)
else
if batb = batter then
batbballs := (batbballs + 1);

if battingstyle = 'defensive' then
        begin
randomize;
Overs := Random(Chance);
          if Overs <= 18 then
          howzat
          else
          if (50/100 * Chance <= Overs) and (Overs <= 67/100 * Chance) then
          begin
          maiden := 'n';
          onerun;
          end
          else
          if (68/100 * Chance <= Overs) and (Overs <= 74/100 * Chance) then
          begin
          maiden := 'n';
          tworuns;
          end
          else
          if (76/100 * Chance <= Overs) and (Overs <= 78/100 * Chance) then
          begin
          maiden := 'n';
          threeruns;
          end
          else
          if (80/100 * Chance <= Overs) and (Overs <= 86/100 * Chance) then
          begin
          maiden := 'n';
          fourruns;
          end
          else
          if (87/100 * Chance = Overs) then
          begin
          maiden := 'n';
          sixruns;
          end
          else
          noruns;
          end
     else
      if battingstyle = 'standard' then
        begin
         randomize;
         Overs := Random(Chance);
          if Overs <= 26 then
          howzat
          else
          if (42/100 * Chance <= Overs) and (Overs <= 58/100 * Chance) then
          begin
          maiden := 'n';
          onerun;
          end
          else
          if (59/100 * Chance <= Overs) and (Overs <= 68/100 * Chance) then
          begin
          maiden := 'n';
          tworuns;
          end
          else
          if (74/100 * Chance <= Overs) and (Overs <= 75/100 * Chance) then
          begin
          maiden := 'n';
          threeruns;
          end
          else
          if (76/100 * Chance <= Overs) and (Overs <= 84/100 * Chance) then
          begin
          maiden := 'n';
          fourruns;
          end
          else
          if (87/100 * Chance <= Overs) and (Overs < 88/100 * Chance) then
          begin
          maiden := 'n';
          sixruns;
          end
          else
          noruns;
        end
     else
        begin
         randomize;
         Overs := Random(Chance);
          if Overs <= 45 then
          howzat
          else
          if (37/100 * Chance <= Overs) and (Overs <= 54/100 * Chance) then
          begin
          maiden := 'n';
          onerun;
          end
          else
          if (55/100 * Chance <= Overs) and (Overs <= 69/100 * Chance) then
          begin
          maiden := 'n';
          tworuns;
          end
          else
          if (70/100 * Chance <= Overs) and (Overs < 71/100 * Chance) then
          begin
          maiden := 'n';
          threeruns;
          end
          else
          if (72/100 * Chance <= Overs) and (Overs <= 86/100 * Chance) then
          begin
          maiden := 'n';
          fourruns;
          end
          else
          if (88/100 * Chance <= Overs) and (Overs <= 89/100 * Chance) then
          begin
          maiden := 'n';
          sixruns;
          end
          else
          noruns;
        end;
SetColor(7);
SetTextStyle(1,0,1);
OutTextXY(430,320, batfirstprscore );
OutTextXY(430,360, batsecondprscore );
SetColor(0);
Str(teamainnonetotouts,batfirstpouts);
Str(teamainnonetotscore,batfirstpscore);
if batfirstscore = 0 then
begin
batfirstprscore := (batfirstabbrev + ' : ' + batfirstpouts + '/' +
batfirstpscore);
batsecondprscore := (batsecondabbrev + ' :');
end
else
begin
batsecondscore := (batfirstscore + 1);
Str(batsecondscore,batsecondpscore);
batsecondprscore := ('Target : ' + batsecondpscore);
batfirstprscore := (batsecondabbrev + ' : ' + batfirstpouts + '/' +
batfirstpscore);
end;
SetTextStyle(1,0,1);
OutTextXY(430,320, batfirstprscore );
OutTextXY(430,360, batsecondprscore );
SetTextStyle(1,0,2);
SetColor(0);
bowlertobatter := bowler + too + batter;
if y <> 6 then
begin
OutTextXY(30,30, bowlertobatter );
OutTextXY(30,70,' BALL 1: ');
OutTextXY(30,100,' BALL 2: ');
OutTextXY(30,130,' BALL 3: ');
OutTextXY(30,160,' BALL 4: ');
OutTextXY(30,190,' BALL 5: ');
OutTextXY(30,220,' BALL 6: ');
if quicktime <> 'yes' then
readln;
end
else
if y = 6 then
begin
SetColor(7);
OutTextXY(30,30, bowlertobatter);
SetColor(0);
overcomplete := (bowler + ' Over Completed');
OutTextXY(30,30, overcomplete );
readln;
clrscr;
if inningsend = 'Yes' then
begin
SetTextStyle(1,0,2);
SetColor(6);
OutTextXY(30,50,' End Of Innings ');
readln;
clrscr;
end;
end;
end;
if (bowler = bowl[1]) and (maiden <> 'n') then
bowlmaidens[1] := (bowlmaidens[1] + 1)
else
if (bowler = bowl[2]) and (maiden <> 'n') then
bowlmaidens[2] := (bowlmaidens[2] + 1)
else
if (bowler = bowl[3]) and (maiden <> 'n') then
bowlmaidens[3] := (bowlmaidens[3] + 1)
else
if (bowler = bowl[4]) and (maiden <> 'n') then
bowlmaidens[4] := (bowlmaidens[4] + 1)
else
if (bowler = bowl[5]) and (maiden <> 'n') then
bowlmaidens[5] := (bowlmaidens[5] + 1)
else
if (bowler = bowl[6]) and (maiden <> 'n') then
bowlmaidens[6] := (bowlmaidens[6] + 1)
else
if (bowler = bowl[7]) and (maiden <> 'n') then
bowlmaidens[7] := (bowlmaidens[7] + 1)
else
if (bowler = bowl[8]) and (maiden <> 'n') then
bowlmaidens[8] := (bowlmaidens[8] + 1);
{if bowlerstyle = 'fast' then
timeminutes := (timeminutes + 4)
else
if bowlerstyle = 'medium' then
timeminutes := (timeminutes + 3)
else
if (bowlerstyle = 'slow') or (bowlerstyle = 'spin') then
timeminutes := (timeminutes + 2);
if (timeminutes >= 60) then
begin
timehours := (timehours + 1);
timeminutes := (timeminutes - 60);
end
else
begin
end;}
{Str(timehours,timephours);
Str(timeminutes,timepminutes);
time := (timephours + ':' + timepminutes);
if (timehours = 13) and ((timeminutes >= 0) and (timeminutes <= 9)) then
lunch
else
if (timehours = 15) and ((timeminutes >= 40) and (timeminutes <= 49)) then
tea
else
if timehours >= 18 then
stumps;}

if (totovers = 50) then
innover
else
end;

procedure choosebowler;
begin
clrscr;
OutTextXY(100,100,' Invalid Option ');
OutTextXY(50,150,' Press any key to choose bowler again ');
readln;
end;

procedure bowlerone;
begin
clrscr;
if (Bowler = bowl[1]) or (bowlovers[1] = 10) then
choosebowler
else
begin
bowlovers[1] := (bowlovers[1] + 1);
Bowlb := Bowler;
Bowler := bowl[1];
Bowlerave := bowlave[1];
bowlerstyle := bowlstyle[1];
   OutTextXY(50,100,' Bowler is ');
   OutTextXY(160,100,  Bowler );
readln;
ball;
end;
end;

procedure bowlertwo;
begin
clrscr;
if (Bowler = bowl[2]) or (bowlovers[2] = 10) then
choosebowler
else
begin
bowlovers[2] := (bowlovers[2] + 1);
Bowlb := Bowler;
Bowler := bowl[2];
Bowlerave := bowlave[2];
bowlerstyle := bowlstyle[2];
   OutTextXY(50,100,' Bowler is ');
   OutTextXY(160,100, Bowler );
readln;
ball;
end;
end;

procedure bowlerthree;
begin
clrscr;
if (Bowler = bowl[3]) or (bowlovers[3] = 10) then
choosebowler
else
begin
bowlovers[3] := (bowlovers[3] + 1);
Bowlb := Bowler;
Bowler := bowl[3];
Bowlerave := bowlave[3];
bowlerstyle := bowlstyle[3];
   OutTextXY(50,100,' Bowler is ');
   OutTextXY(160,100, Bowler );
readln;
ball;
end;
end;

procedure bowlerfour;
begin
clrscr;
if (Bowler = bowl[4]) or (bowlovers[4] = 10) then
choosebowler
else
begin
bowlovers[4] := (bowlovers[4] + 1);
Bowlb := Bowler;
Bowler := bowl[4];
Bowlerave := bowlave[4];
bowlerstyle := bowlstyle[4];
   OutTextXY(50,100,' Bowler is ');
   OutTextXY(160,100, Bowler );
readln;
ball;
end;
end;

procedure bowlerfive;
begin
clrscr;
if (Bowler = bowl[5]) or (bowlovers[5] = 10) then
choosebowler
else
begin
bowlovers[5] := (bowlovers[5] + 1);
Bowlb := Bowler;
Bowler := bowl[5];
Bowlerave := bowlave[5];
bowlerstyle := bowlstyle[5];
   OutTextXY(50,100,' Bowler is ');
   OutTextXY(160,100, Bowler );
readln;
ball;
end;
end;

procedure bowlersix;
begin
clrscr;
if (Bowler = bowl[6]) or (bowlovers[6] = 10) then
choosebowler
else
begin
bowlovers[6] := (bowlovers[6] + 1);
Bowlb := Bowler;
Bowler := bowl[6];
Bowlerave := bowlave[6];
bowlerstyle := bowlstyle[6];
   OutTextXY(50,100,' Bowler is ');
   OutTextXY(160,100, Bowler );
readln;
ball;
end;
end;

procedure bowlerseven;
begin
clrscr;
if (Bowler = bowl[7]) or (bowlovers[7] = 10) then
choosebowler
else
begin
bowlovers[7] := (bowlovers[7] + 1);
Bowlb := Bowler;
Bowler := bowl[7];
Bowlerave := bowlave[7];
bowlerstyle := bowlstyle[7];
   OutTextXY(50,100,' Bowler is ');
   OutTextXY(160,100, Bowler );
readln;
ball;
end;
end;

procedure bowlereight;
begin
clrscr;
if (Bowler = bowl[8]) or (bowlovers[8] = 10) then
choosebowler
else
begin
bowlovers[8] := (bowlovers[8] + 1);
Bowlb := Bowler;
Bowler := bowl[8];
bowlerstyle := bowlstyle[8];
Bowlerave := bowlave[8];
   OutTextXY(50,100,' Bowler is ');
   OutTextXY(160,100, Bowler );
readln;
ball;
end;
end;

procedure bowlerb;
begin
clrscr;
if Bowlb = bowl[1] then
bowlerone
else
if Bowlb = bowl[2] then
Bowlertwo
else
if Bowlb = bowl[3] then
Bowlerthree
else
if Bowlb = bowl[4] then
bowlerfour
else
if Bowlb = bowl[5] then
Bowlerfive
else
if Bowlb = bowl[6] then
Bowlersix
else
if Bowlb = bowl[7] then
bowlerseven
else
if Bowlb = bowl[8] then
Bowlereight
else
Choosebowler;
end;

procedure batstyle;
begin
clrscr;
SetTextStyle(1,0,2);
SetColor(0);
OutTextXY(30,30,' Choose your batting style ');
OutTextXY(70,90,' (1) Defensive ');
OutTextXY(70,130,' (2) Standard ');
OutTextXY(70,170,' (3) Attacking ');
OutTextXY(30,230,' Default setting is Standard ');

Ch := Readkey;
if Ch = '3' then
battingstyle := 'attacking'
else
if Ch = '1' then
battingstyle := 'defensive'
else
battingstyle := 'standard';
clrscr;
end;

procedure newbowler;
begin
clrscr;
Playing := 'Yes';
while Playing = 'Yes' do
begin
clrscr;
SetTextStyle(1,0,2);
SetColor(0);
OutTextXY(100,20,' NEW BOWLER  ');
SetTextStyle(1,0,1);
OutTextXY(60,340,'Press s to see scorecard, b for batting style, ');
OutTextXY(80,370,'r to see run rate equation, q to quit ');
begin
SetTextStyle(1,0,2);
OutTextXY(50,50,' Choose your bowler ');
OutTextXY(270,50, Playertwo );
SetTextStyle(1,0,1);
OutTextXY(90,90,' (1) ');
OutTextXY(90,115,' (2) ');
OutTextXY(90,140,' (3) ');
OutTextXY(90,165,' (4) ');
OutTextXY(90,190,' (5) ');
OutTextXY(90,215,' (6) ');
OutTextXY(90,240,' (7) ');
OutTextXY(90,265,' (8) ');
OutTextXY(140,90, bowl[1] );
OutTextXY(140,115, bowl[2] );
OutTextXY(140,140, bowl[3] );
OutTextXY(140,165, bowl[4] );
OutTextXY(140,190, bowl[5] );
OutTextXY(140,215, bowl[6] );
OutTextXY(140,240, bowl[7] );
OutTextXY(140,265, bowl[8] );
OutTextXY(50,305,' Press Enter to use bowler from previous over ');
SetTextStyle(1,0,2);

          Ch := Readkey;
          if (Ch = 'q') or (Ch = 'Q') then
          begin
          clrscr;
          OutTextXY(50,100,' End of Game (Y/N) ');
          Ch := Readkey;
          if (Ch = 'y') or (Ch = 'Y') then
          begin
          Playing := 'No';
          Scoreboard := 'No';
          Settles := 'No';
          TM := 'No';
          end;
          Clrscr;
          end
          else
          if (Ch = 's') or (Ch = 'S') then
          begin
          Playing := 'No';
          end
          else
          if (Ch = 'r') or (Ch = 'R') then
          runrate
          else
          if (Ch = 'b') or (Ch = 'B') then
          batstyle
          else
          if Ch = '1' then
          bowlerone
          else
          if Ch = '2' then
          bowlertwo
          else
          if Ch = '3' then
          bowlerthree
          else
          if Ch = '4' then
          bowlerfour
          else
          if Ch = '5' then
          bowlerfive
          else
          if Ch = '6' then
          bowlersix
          else
          if Ch = '7' then
          bowlerseven
          else
          if Ch = '8' then
          bowlereight
          else
          if Ch = #13 then
          bowlerb
          else
          choosebowler;

end;
end;

end;


procedure odbatinnone;
begin
clrscr;
SetColor(0);
SetTextStyle(1,0,2);
Bowler := 'nothing';
Scoreboard := 'Yes';
while scoreboard = 'Yes' do
begin
clrscr;
Space := ' ';
Str(Batascore,Bataprintscore);
Str(Batbscore,Batbprintscore);
Str(Bataballs,Bataprintballs);
Str(Batbballs,batbprintballs);
bataprintballs := ('(' + bataprintballs + ')');
batbprintballs := ('(' + batbprintballs + ')');
teamainnonetotscore := (Batascore + Batbscore);
for z := 1 to 11 do
begin
Str(Battotballs[z],batprintballs[z]);
batprintballs[z] := ('(' + batprintballs[z] + ')');
Str(Battotscore[z],Batprintscore[z]);
batwayout[z] := (bathowout[z] + space + batwhoout[z]);
{batwayout[2] := (bathowout[2] + space + batwhoout[2]);
batwayout[3] := (bathowout[3] + space + batwhoout[3]);
batwayout[4] := (bathowout[4] + space + batwhoout[4]);
batwayout[5] := (bathowout[5] + space + batwhoout[5]);
batwayout[6] := (bathowout[6] + space + batwhoout[6]);
batwayout[7] := (bathowout[7] + space + batwhoout[7]);
batwayout[8] := (bathowout[8] + space + batwhoout[8]);
batwayout[9] := (bathowout[9] + space + batwhoout[9]);
batwayout[10] := (bathowout[10] + space + batwhoout[10]);
batwayout[11] := (bathowout[11] + space + batwhoout[11]);}
teamainnonetotscore := (Battotscore[z] + teamainnonetotscore);
end;
Str(teamainnonetotscore,teamainnoneprintscore);
slash := '/';

If teama = 'Australia' then
SetColor(10)
else
if (teama = 'SriLanka') or (teama = 'Zimbabwe') then
SetColor(14)
else
if (teama = 'England') or (teama = 'Pakistan') then
SetColor(1)
else
if teama = 'South Africa' then
SetColor(4)
else
if teama = 'India' then
SetColor(9)
else
if (teama = 'West Indies') or (teama = 'New Zealand') then
SetColor(8)
else
SetColor(15);
SetTextStyle(1,0,1);
If batout[1] = bat[1] then
begin
OutTextXY(30,80, bat[1] );
OutTextXY(200,80, batwayout[1] );
OutTextXY(540,80, batprintscore[1] );
OutTextXY(580,80, batprintballs[1] );
Out[1] := 1;
end;
If batout[2] = bat[2] then
begin
OutTextXY(30,105, bat[2] );
OutTextXY(200,105, batwayout[2] );
OutTextXY(540,105, batprintscore[2] );
OutTextXY(580,105, batprintballs[2] );
Out[2] := 1;
end;
If (batout[3] = bat[3]) then
begin
OutTextXY(30,130, bat[3] );
OutTextXY(200,130, batwayout[3] );
OutTextXY(540,130, batprintscore[3] );
OutTextXY(580,130, batprintballs[3] );
Out[3] := 1;
end
else
begin
OutTextXY(30,130, bat[3] );
end;
If (batout[4] = bat[4]) then
begin
OutTextXY(30,155, bat[4] );
OutTextXY(200,155, batwayout[4] );
OutTextXY(540,155, batprintscore[4] );
OutTextXY(580,155, batprintballs[4] );
Out[4] := 1;
end
else
begin
OutTextXY(30,155, bat[4] );
end;
If (batout[5] = bat[5]) then
begin
OutTextXY(30,180, bat[5] );
OutTextXY(200,180, batwayout[5] );
OutTextXY(540,180, batprintscore[5] );
OutTextXY(580,180, batprintballs[5] );
Out[5] := 1;
end
else
begin
OutTextXY(30,180, bat[5] );
end;
If (batout[6] = bat[6]) then
begin
OutTextXY(30,205, bat[6] );
OutTextXY(200,205, batwayout[6] );
OutTextXY(540,205, batprintscore[6] );
OutTextXY(580,205, batprintballs[6] );
Out[6] := 1;
end
else
begin
OutTextXY(30,205, bat[6] );
end;
If (batout[7] = bat[7]) then
begin
OutTextXY(30,230, bat[7] );
OutTextXY(200,230, batwayout[7] );
OutTextXY(540,230, batprintscore[7] );
OutTextXY(580,230, batprintballs[7] );
Out[7] := 1;
end
else
begin
OutTextXY(30,230, bat[7] );
end;
If (batout[8] = bat[8]) then
begin
OutTextXY(30,255, bat[8] );
OutTextXY(200,255, batwayout[8] );
OutTextXY(540,255, batprintscore[8] );
OutTextXY(580,255, batprintballs[8] );
Out[8] := 1;
end
else
begin
OutTextXY(30,255, bat[8] );
end;
If (batout[9] = bat[9]) then
begin
OutTextXY(30,280, bat[9] );
OutTextXY(200,280, batwayout[9] );
OutTextXY(540,280, batprintscore[9] );
OutTextXY(580,280, batprintballs[9] );
Out[9] := 1;
end
else
begin
OutTextXY(30,280, bat[9] );
end;
If (batout[10] = bat[10]) then
begin
OutTextXY(30,305, bat[10] );
OutTextXY(200,305, batwayout[10] );
OutTextXY(540,305, batprintscore[10] );
OutTextXY(580,305, batprintballs[10] );
Out[10] := 1;
end
else
begin
OutTextXY(30,305, bat[10] );
end;
If (batout[11] = bat[11]) then
begin
OutTextXY(30,330, bat[11] );
OutTextXY(200,330, batwayout[11] );
OutTextXY(540,330, batprintscore[11] );
OutTextXY(580,330, batprintballs[11] );
Out[11] := 1;
end
else
begin
OutTextXY(30,330, bat[11] );
end;

teamainnonetotouts := (out[1] + out[2] + out[3] + out[4] + out[5] + out[6]
+ out[7] + out[8] + out[9] + out[10] + out[11]);
Str(teamainnonetotouts,teamainnoneprintouts);
teamainnonescore := (teamainnoneprintouts + slash + teamainnoneprintscore);
Str(totovers,totoversstring);
Tmainnonefinscore := teamainnonetotscore;
printtotovers := ('Overs : ' + totoversstring);

if teama = 'Australia' then
SetColor(14)
else
if teama = 'SriLanka' then
SetColor(1)
else
if teama = 'England' then
SetColor(9)
else
if (teama = 'South Africa') or (teama = 'Pakistan') then
SetColor(10)
else
if teama = 'India' then
SetColor(6)
else
if teama = 'West Indies' then
SetColor(5)
else
if teama = 'New Zealand' then
SetColor(15)
else
if teama = 'Zimbabwe' then
SetColor(4)
else
SetColor(0);
SetTextStyle(1,0,1);
if (bata = bat[1]) and (batout[1] <> bat[1])  then
begin
OutTextXY(30,80, bata );
OutTextXY(540,80, bataprintscore );
OutTextXY(580,80, bataprintballs );
end;
if (batb = bat[2]) and (batout[2] <> bat[2]) then
begin
OutTextXY(30,105, batb );
OutTextXY(540,105, batbprintscore );
OutTextXY(580,105, batbprintballs );
end;
If (bata = bat[3]) and (batout[3] <> bat[3]) then
begin
OutTextXY(30,130, bata );
OutTextXY(540,130, bataprintscore );
OutTextXY(580,130, bataprintballs );
end
else
if (batb = bat[3]) and (batout[3] <> bat[3]) then
begin
OutTextXY(30,130, batb );
OutTextXY(540,130, batbprintscore );
OutTextXY(580,130, batbprintballs );
end;
If (bata = bat[4]) and (batout[4] <> bat[4]) then
begin
OutTextXY(30,155, bata );
OutTextXY(540,155, bataprintscore );
OutTextXY(580,155, bataprintballs );
end
else
If (batb = bat[4]) and (batout[4] <> bat[4]) then
begin
OutTextXY(30,155, batb );
OutTextXY(540,155, batbprintscore );
OutTextXY(580,155, batbprintballs );
end;
If (bata = bat[5]) and (batout[5] <> bat[5]) then
begin
OutTextXY(30,180, bata );
OutTextXY(540,180, bataprintscore );
OutTextXY(580,180, bataprintballs );
end
else
If (batb = bat[5]) and (batout[5] <> bat[5]) then
begin
OutTextXY(30,180, batb );
OutTextXY(540,180, batbprintscore );
OutTextXY(580,180, batbprintballs );
end;
If (bata = bat[6]) and (batout[6] <> bat[6]) then
begin
OutTextXY(30,205, bata );
OutTextXY(540,205, bataprintscore );
OutTextXY(580,205, bataprintballs );
end
else
If (batb = bat[6]) and (batout[6] <> bat[6]) then
begin
OutTextXY(30,205, batb );
OutTextXY(540,205, batbprintscore );
OutTextXY(580,205, batbprintballs );
end;
If (bata = bat[7]) and (batout[7] <> bat[7]) then
begin
OutTextXY(30,230, bata );
OutTextXY(540,230, bataprintscore );
OutTextXY(580,230, bataprintballs );
end
else
If (batb = bat[7]) and (batout[7] <> bat[7]) then
begin
OutTextXY(30,230, batb );
OutTextXY(540,230, batbprintscore );
OutTextXY(580,230, batbprintballs );
end;
If (bata = bat[8]) and (batout[8] <> bat[8]) then
begin
OutTextXY(30,255, bata );
OutTextXY(540,255, bataprintscore );
OutTextXY(580,255, bataprintballs );
end
else
If (batb = bat[8]) and (batout[8] <> bat[8]) then
begin
OutTextXY(30,255, batb );
OutTextXY(540,255, batbprintscore );
OutTextXY(580,255, batbprintballs );
end;
If (bata = bat[9]) and (batout[9] <> bat[9]) then
begin
OutTextXY(30,280, bata );
OutTextXY(540,280, bataprintscore );
OutTextXY(580,280, bataprintballs );
end
else
If (batb = bat[9]) and (batout[9] <> bat[9]) then
begin
OutTextXY(30,280, batb );
OutTextXY(540,280, batbprintscore );
OutTextXY(580,280, batbprintballs );
end;
If (bata = bat[10]) and (batout[10] <> bat[10]) then
begin
OutTextXY(30,305, bata );
OutTextXY(540,305, bataprintscore );
OutTextXY(580,305, bataprintballs );
end
else
If (batb = bat[10]) and (batout[10] <> bat[10]) then
begin
OutTextXY(30,305, batb );
OutTextXY(540,305, batbprintscore );
OutTextXY(580,305, batbprintballs );
end;
If (bata = bat[11]) and (batout[11] <> bat[11]) then
begin
OutTextXY(30,330, bata );
OutTextXY(540,330, bataprintscore );
OutTextXY(580,330, bataprintballs );
end
else
If (batb = bat[11]) and (batout[11] <> bat[11]) then
begin
OutTextXY(30,330, batb );
OutTextXY(540,330, batbprintscore );
OutTextXY(580,330, batbprintballs );
end;
OutTextXY(300,360, printtotovers );
if (teamainnonetotouts = 10) then
begin
Str(Tmainnonefinscore,Tmainnoneprintfinscore);
Tmainnoneprintendscore := (Tmainnoneprintfinscore + ' all out');
SetTextStyle(1,0,2);
teamaendinnings := (teama + ' - End Innings ');
OutTextXY(170,30, teamaendinnings );
SetTextStyle(1,0,1);
OutTextXY(510,360, tmainnoneprintendscore );
innend := 'yes';
readln;
scorecardbowl;
end
else
if (innsover = 'yes') then
begin
Tmainnoneprintendscore := (teamainnoneprintouts + slash + teamainnoneprintscore);
SetTextStyle(1,0,2);
teamaendinnings := (teama + ' - End Innings ');
OutTextXY(170,30, teamaendinnings );
SetTextStyle(1,0,1);
OutTextXY(530,360, tmainnoneprintendscore );
innend := 'yes';
readln;
scorecardbowl;
end
else
if (winteam <> 'noone') then
begin
Tmainnoneprintendscore := (teamainnoneprintouts + slash + teamainnoneprintscore);
SetTextStyle(1,0,2);
teamaendinnings := (teama + ' - End Innings ');
OutTextXY(170,30, teamaendinnings );
SetTextStyle(1,0,1);
OutTextXY(550,360, tmainnoneprintendscore );
innend := 'yes';
readln;
scorecardbowl;
end
else
begin
SetTextStyle(1,0,2);
OutTextXY(250,30, teama );
SetTextStyle(1,0,1);
OutTextXY(540,360, teamainnonescore );
SetColor(0);
OutTextXY(150,5,' Press B to see bowling figures ');
end;
{end;}

if innend = 'yes' then
nextinn
else

Ch := Readkey;

if (Ch = 'q') or (Ch = 'Q') then
          begin
          Scoreboard := 'No';
          Settles := 'n';
          TM := 'No';
          Clrscr;
          OutTextXY(50,100,' End of Game ');
          readln;
          end
          else
if (Ch = 'b') or (Ch = 'B') then
          scorecardbowl
          else
          if innend <> 'yes' then
          newbowler;
          end;
end;

procedure battingteam;
begin
clrscr;
SetColor(0);
SetTextStyle(1,0,2);
OutTextXY(100,100,' Opening batters for ');
OutTextXY(320,100, playerone );
OutTextXY(180,150,   Bat[1]   );
OutTextXY(180,200,   Bat[2]   );
readln;
battingstyle := 'defensive';
pfow := '';
innend := 'No';
totovers := 0;
fowtally := 0;
Batter := Bat[2];
Bata := Bat[1];
Batascore := 0;
bataballs := 0;
batbballs := 0;
Batb := Bat[2];
Batbscore := 0;
Bataave := Batave[1];
Batbave := Batave[2];
Batterave := Batave[2];
teamainnonetotscore := 0;
for z := 1 to 11 do
begin
Battotscore[z] := 0;
battotballs[z] := 0;
Batout[z] := 'noone';
Out[z] := 0;
end;
for z := 1 to 8 do
begin
bowlovers[z] := 0;
bowlmaidens[z] := 0;
bowlwickets[z] := 0;
bowlruns[z] := 0;
end;
for z := 1 to 10 do
fw[z] := 'no';
odbatinnone;
end;

procedure p1batp2bowl;
begin
clrscr;
innend := 'no';
inningsend := 'No';
innsover := 'no';
teamb := persontwoteam;
wk := persontwowk;
for z := 1 to 10 do
begin
field[z] := persontwofield[z];
end;
for z := 1 to 8 do
begin
bowl[z] := persontwobowl[z];
bowlave[z] := persontwobowlave[z];
bowlstyle[z] := persontwobowlstyle[z];
end;
for z := 1 to 11 do
begin
Bat[z] := persononebat[z];
Batave[z] := persononebatave[z];
end;
battingteam;
end;

procedure p2batp1bowl;
begin
clrscr;
innend := 'no';
inningsend := 'No';
innsover := 'no';
teamb := persononeteam;
for z := 1 to 11 do
begin
Bat[z] := persontwobat[z];
Batave[z] := persontwobatave[z];
end;
wk := persononewk;
for z := 1 to 10 do
begin
field[z] := persononefield[z];
end;
for z := 1 to 8 do
begin
bowl[z] := persononebowl[z];
bowlave[z] := persononebowlave[z];
bowlstyle[z] := persononebowlstyle[z];
end;
battingteam;
end;

procedure p2newinn;
begin
teama := persontwoteam;
if (playerone = personone) then
begin
playerone := persontwo;
playertwo := personone;
end
else
begin
playerone := personone;
playertwo := persontwo;
end;
p2batp1bowl;
end;

procedure p1newinn;
begin
teama := persononeteam;
if (playerone = personone) then
begin
playerone := persontwo;
playertwo := personone;
end
else
begin
playerone := personone;
playertwo := persontwo;
end;
p1batp2bowl;
end;

procedure settler;
begin
clrscr;
SetTextStyle(1,0,2);
SetColor(0);
OutTextXY(30,50,' How do you wish to play?  ');
OutTextXY(30,90,' (1) Quicktime ');
OutTextXY(30,120,' (2) Ball by Ball ');
Ch := Readkey;
if Ch = '1' then
quicktime := 'yes'
else
quicktime := 'no';
clrscr;
p1innonescore := 0;
p1innone := 'No';
p2innonescore := 0;
p2innone := 'No';
winteam := 'noone';
batfirstteam := teama;
batfirstabbrev := teamaabbrev;
batsecondabbrev := teambabbrev;
batfirstscore := 0;
batsecondscore := 0;
Settles := 'y';
while settles = 'y' do
begin
if (innend <> 'yes') then
begin
if teama = persononeteam then
p1batp2bowl
else
if teama = persontwoteam then
p2batp1bowl;
end
else
if (innend = 'yes') then
begin
if teama = persononeteam then
p2newinn
else
if teama = persontwoteam then
p1newinn;
end;
end;
end;


end.